# ARXWizardDialog
Date: 2019-11-17

org.deidentifier.arx.gui.view.impl.wizard

## Class ARXWizardDialog

- java.lang.Object
- - org.eclipse.jface.window.Window
  - - org.eclipse.jface.dialogs.Dialog
    - - org.eclipse.jface.dialogs.TrayDialog
      - - org.eclipse.jface.dialogs.TitleAreaDialog
        - - org.eclipse.jface.wizard.WizardDialog
          - - org.deidentifier.arx.gui.view.impl.wizard.ARXWizardDialog

All Implemented Interfaces:
  org.eclipse.jface.dialogs.IPageChangeProvider, org.eclipse.jface.operation.IRunnableContext, org.eclipse.jface.window.IShellProvider, org.eclipse.jface.wizard.IWizardContainer, org.eclipse.jface.wizard.IWizardContainer2

    public class ARXWizardDialog
    extends org.eclipse.jface.wizard.WizardDialog

A custom implementation of the default SWT WizardDialog that is more compact and allows adding additional buttons.

Author:
  Fabian Prasser

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.jface.window.Window

`org.eclipse.jface.window.Window.IExceptionHandler`

### Field Summary

### Fields inherited from class org.eclipse.jface.wizard.WizardDialog

`WIZ_IMG_ERROR`

### Fields inherited from class org.eclipse.jface.dialogs.TitleAreaDialog

`DLG_IMG_TITLE_BANNER, DLG_IMG_TITLE_ERROR, INFO_MESSAGE, WARNING_MESSAGE`

### Fields inherited from class org.eclipse.jface.dialogs.Dialog

`blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

### Fields inherited from class org.eclipse.jface.window.Window

`CANCEL, OK`

### Method Summary

### Methods inherited from class org.eclipse.jface.wizard.WizardDialog

`addPageChangedListener, addPageChangingListener, close, getCurrentPage, getSelectedPage, removePageChangedListener, removePageChangingListener, run, setMinimumPageSize, setMinimumPageSize, setPageSize, setPageSize, showPage, updateButtons, updateMessage, updateSize, updateTitleBar, updateWindowTitle`

### Methods inherited from class org.eclipse.jface.dialogs.TitleAreaDialog

`getErrorMessage, getMessage, setErrorMessage, setMessage, setMessage, setTitle, setTitleAreaColor, setTitleImage`

### Methods inherited from class org.eclipse.jface.dialogs.TrayDialog

`closeTray, getTray, isDialogHelpAvailable, isHelpAvailable, openTray, setDialogHelpAvailable, setHelpAvailable`

### Methods inherited from class org.eclipse.jface.dialogs.Dialog

`applyDialogFont, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, create, getBlockedHandler, getImage, setBlockedHandler, shortenText`

### Methods inherited from class org.eclipse.jface.window.Window

`getDefaultImage, getDefaultImages, getDefaultOrientation, getReturnCode, getShell, getWindowManager, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setWindowManager`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.wizard.IWizardContainer

`getShell`